net.i2p.router.networkdb.kademlia

## Class SearchReplyJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.SearchReplyJob

All Implemented Interfaces:
  Job

     class SearchReplyJob
    extends JobImpl

### Constructor Summary

Constructors
Constructor and Description
`SearchReplyJob(RouterContext enclosingContext, SearchJob job, DatabaseSearchReplyMessage message, Hash peer, long duration)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`(package private) void` `replyNotVerified()`
`(package private) void` `replyVerified()`
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchReplyJob

    public SearchReplyJob(RouterContext enclosingContext,
                  SearchJob job,
                  DatabaseSearchReplyMessage message,
                  Hash peer,
                  long duration)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.

#### replyVerified

    void replyVerified()

#### replyNotVerified

    void replyNotVerified()